SW: 2017
I really don't know too much about creating Macros - but have this simple Macro that creates a B-Size PDF. What do I need to add in order to have the Macro print all sheets? I ask as it doesn't always print all sheets of a drawing.
Thanks.
-Art
Dim swApp As SldWorks.SldWorks
Dim Part As SldWorks.ModelDoc2
Dim myPageSetup As SldWorks.PageSetup
Sub main()
Set swApp = Application.SldWorks
Set Part = swApp.ActiveDoc
If Part Is Nothing Then
MsgBox " Please open a file first and try again!!"
Exit Sub
End If
Set myPageSetup = Part.PageSetup
myPageSetup.PrinterPaperSize = 192
Part.PrintDirect
End Sub
SolidworksApi/macros